Headers
200 OK
503 Service Unavailable
Returned with awalletStatus field when the wallet is not active.Documentation Index
Fetch the complete documentation index at: /docs/llms.txt
Use this file to discover all available pages before exploring further.
Get the current wallet balance.
GET /v1/wallet/balance
| Header | Required | Description |
|---|---|---|
Authorization | Yes | Bearer <api-key> |
x-workspace-id | No | Only needed with OAuth/JWT tokens without an org context |
curl "https://api.monid.ai/v1/wallet/balance" \
-H "Authorization: Bearer monid_live_..."
| Field | Type | Description |
|---|---|---|
balance | object | Available balance as { "value": number, "currency": "USD" }. It may be negative |
held | object | Funds held for in-flight runs, same shape |
{
"balance": { "value": 2.85, "currency": "USD" },
"held": { "value": 0.10, "currency": "USD" }
}
walletStatus field when the wallet is not active.